Approve a join request
POST/join-requests/:join_request_id/approve
Adds the requester to the organization with the given license and org role, optionally gives
them access to restricted workspaces, and emails them that they were approved. license and
org_role are optional and default like an invitation in POST /members: an Editor license and
Org Member role when neither is sent. The request body can be left out.
Request
Responses
- 200
- 400
- 401
- 403
- 404
- 405
- 409
- 429
OK
The request is invalid.
The API key header is missing, or the API key is invalid, disabled or expired.
The API key is not allowed to do this, for example a key that isn't allowed to manage members.
The project or resource was not found.
The requested HTTP method is not allowed.
The request conflicts with the current state, for example a join request that was already decided.
Too many requests sent with the same API key. Up to 10 requests can be sent within 1 second.